=== modified file 'database/replication/helpers.py'
--- database/replication/helpers.py	2008-09-30 14:14:55 +0000
+++ database/replication/helpers.py	2008-10-07 07:36:28 +0000
@@ -5,7 +5,6 @@
 __metaclass__ = type
 __all__ = []
 
-import os.path
 import subprocess
 import sys
 from tempfile import NamedTemporaryFile

=== modified file 'database/replication/report.py'
--- database/replication/report.py	2008-09-29 11:46:39 +0000
+++ database/replication/report.py	2008-10-07 07:36:28 +0000
@@ -267,7 +267,7 @@
     # Set our search path to the schema of the cluster we care about.
     cur.execute(
             "SET search_path TO %s, public"
-            % quote_identifier(CLUSTER_NAMESPACE))
+            % quote_identifier(replication.helpers.CLUSTER_NAMESPACE))
 
     print node_overview_report(cur, options)
     print paths_report(cur, options)

=== modified file 'database/replication/slon_ctl.py'
--- database/replication/slon_ctl.py	2008-10-02 12:30:53 +0000
+++ database/replication/slon_ctl.py	2008-10-07 07:36:28 +0000
@@ -68,6 +68,7 @@
                 "--start",
                 "--background",
                 "--pidfile", pidfile,
+                "--oknodo",
                 "--exec", "/usr/bin/slon",
                 "--startas", "/bin/sh",
                 "--", "-c",
@@ -84,13 +85,16 @@
             cmd = [
                 "start-stop-daemon",
                 "--stop",
-                "--pidfile", pidfile]
+                "--pidfile", pidfile,
+                "--oknodo"]
         log.debug("Running %s" % repr(cmd))
         return_code = subprocess.call(cmd)
         if return_code != 0:
             log.fatal("Failed. Return code %s" % return_code)
             return return_code
 
+    return 0
+
 
 if __name__ == '__main__':
     sys.exit(main())

